diff --git a/tests/test_opengis.py b/tests/test_opengis.py
index 1b7c8291..bfee1afe 100644
--- a/tests/test_opengis.py
+++ b/tests/test_opengis.py
@@ -2,14 +2,14 @@ import json
 
 import mock
 import pytest
-import utils
 from django.contrib.auth.models import User
 from django.core.management import call_command
-from test_manager import login
 
+import tests.utils
 from passerelle.apps.opengis.models import FeatureCache, OpenGIS, Query
 from passerelle.base.models import Job
 from passerelle.utils import import_site
+from tests.test_manager import login
 
 pytestmark = pytest.mark.django_db
 
@@ -357,7 +357,7 @@ FAKE_GEOLOCATED_FEATURE_CIRCLE = {
 
 @pytest.fixture
 def connector():
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         OpenGIS.objects.create(
             slug='test', wms_service_url='http://example.net/wms', wfs_service_url='http://example.net/wfs'
         )
@@ -382,46 +382,46 @@ def query(connector):
 def geoserver_responses(url, **kwargs):
     if kwargs['params'].get('request') == 'GetCapabilities':
         assert kwargs['params'].get('service')
-        return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
-    return utils.FakedResponse(status_code=200, content=FAKE_FEATURES_JSON)
+        return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
+    return tests.utils.FakedResponse(status_code=200, content=FAKE_FEATURES_JSON)
 
 
 def geoserver_responses_v1_0_0(url, **kwargs):
     if kwargs['params'].get('request') == 'GetCapabilities':
         assert kwargs['params'].get('service')
-        return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES_V1_0_0)
-    return utils.FakedResponse(status_code=200, content=FAKE_FEATURES_JSON)
+        return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES_V1_0_0)
+    return tests.utils.FakedResponse(status_code=200, content=FAKE_FEATURES_JSON)
 
 
 def geoserver_responses_errors(url, **kwargs):
     if kwargs['params'].get('request') == 'GetCapabilities':
-        return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
-    return utils.FakedResponse(status_code=200, content=FAKE_ERROR)
+        return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
+    return tests.utils.FakedResponse(status_code=200, content=FAKE_ERROR)
 
 
 def geoserver_responses_errors_unparsable(url, **kwargs):
     if kwargs['params'].get('request') == 'GetCapabilities':
-        return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
-    return utils.FakedResponse(status_code=200, content=FAKE_ERROR[:10])
+        return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
+    return tests.utils.FakedResponse(status_code=200, content=FAKE_ERROR[:10])
 
 
 def geoserver_geolocated_responses(url, **kwargs):
     if kwargs['params'].get('request') == 'GetCapabilities':
-        return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
-    return utils.FakedResponse(status_code=200, content=FAKE_GEOLOCATED_FEATURE)
+        return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
+    return tests.utils.FakedResponse(status_code=200, content=FAKE_GEOLOCATED_FEATURE)
 
 
 def geoserver_circle_responses(url, **kwargs):
     if kwargs['params'].get('request') == 'GetCapabilities':
-        return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
-    return utils.FakedResponse(status_code=200, content=json.dumps(FAKE_GEOLOCATED_FEATURE_CIRCLE))
+        return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
+    return tests.utils.FakedResponse(status_code=200, content=json.dumps(FAKE_GEOLOCATED_FEATURE_CIRCLE))
 
 
 @mock.patch('passerelle.utils.Request.get')
 def test_feature_info(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'feature_info', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'feature_info', slug=connector.slug)
     assert endpoint == '/opengis/test/feature_info'
-    mocked_get.return_value = utils.FakedResponse(content=FAKE_FEATURE_INFO, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKE_FEATURE_INFO, status_code=200)
     resp = app.get(endpoint, params={'lat': '45.796890', 'lon': '4.784140'})
     assert (
         mocked_get.call_args[1]['params']['bbox']
@@ -450,9 +450,9 @@ def test_feature_info(mocked_get, app, connector):
     ],
 )
 def test_feature_info_bad_request(mocked_get, app, connector, lat, lon):
-    endpoint = utils.generic_endpoint_url('opengis', 'feature_info', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'feature_info', slug=connector.slug)
     assert endpoint == '/opengis/test/feature_info'
-    mocked_get.return_value = utils.FakedResponse(content=FAKE_FEATURE_INFO, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKE_FEATURE_INFO, status_code=200)
     resp = app.get(endpoint, params={'lat': lat, 'lon': lon})
     assert resp.json['err'] == 1
     assert resp.json['err_desc'] == 'Bad coordinates format'
@@ -460,9 +460,11 @@ def test_feature_info_bad_request(mocked_get, app, connector, lat, lon):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_tile(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'tile', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'tile', slug=connector.slug)
     assert endpoint == '/opengis/test/tile'
-    mocked_get.return_value = utils.FakedResponse(content=b'\x89PNG\r\n\x1a\n\x00\x00...', status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(
+        content=b'\x89PNG\r\n\x1a\n\x00\x00...', status_code=200
+    )
     resp = app.get(endpoint + '/16/33650/23378.png')
     assert mocked_get.call_args[1]['params']['crs'] == 'EPSG:3857'
     assert (
@@ -481,7 +483,7 @@ def test_tile(mocked_get, app, connector):
 def test_get_feature_with_no_wfs_url(mocked_get, app, connector):
     connector.wfs_service_url = ''
     connector.save()
-    endpoint = utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
     assert endpoint == '/opengis/test/features'
     mocked_get.side_effect = geoserver_responses
     resp = app.get(endpoint, params={'type_names': 'ref_metro_limites_communales', 'property_name': 'nom'})
@@ -492,7 +494,7 @@ def test_get_feature_with_no_wfs_url(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_get_feature(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
     assert endpoint == '/opengis/test/features'
     mocked_get.side_effect = geoserver_responses
     resp = app.get(endpoint, params={'type_names': 'ref_metro_limites_communales', 'property_name': 'nom'})
@@ -509,7 +511,7 @@ def test_get_feature(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_get_filtered_feature(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
     mocked_get.side_effect = geoserver_responses
     app.get(
         endpoint,
@@ -524,7 +526,7 @@ def test_get_filtered_feature(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_get_filtered_by_property_feature(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
     mocked_get.side_effect = geoserver_responses
     params = {
         'type_names': 'ref_metro_limites_communales',
@@ -550,7 +552,7 @@ def test_get_filtered_by_property_feature(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_get_feature_error(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
     assert endpoint == '/opengis/test/features'
     mocked_get.side_effect = geoserver_responses_errors
     resp = app.get(endpoint, params={'type_names': 'ref_metro_limites_communales', 'property_name': 'nom'})
@@ -568,7 +570,7 @@ def test_get_feature_error(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_get_feature_error2(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
     assert endpoint == '/opengis/test/features'
     mocked_get.side_effect = geoserver_responses_errors_unparsable
     resp = app.get(endpoint, params={'type_names': 'ref_metro_limites_communales', 'property_name': 'nom'})
@@ -590,7 +592,7 @@ def test_get_feature_error2(mocked_get, app, connector):
 )
 @mock.patch('passerelle.utils.Request.get')
 def test_typename_parameter_upgrade(mocked_get, server_responses, version, typename_label, app, connector):
-    endpoint = utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'features', slug=connector.slug)
     assert endpoint == '/opengis/test/features'
     mocked_get.side_effect = server_responses
     resp = app.get(endpoint, params={'type_names': '...', 'property_name': '...'})
@@ -604,16 +606,16 @@ def test_reverse_geocoding(mocked_get, app, connector):
     connector.search_radius = 45
     connector.projection = 'EPSG:3945'
     connector.save()
-    endpoint = utils.generic_endpoint_url('opengis', 'reverse', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'reverse', slug=connector.slug)
     assert endpoint == '/opengis/test/reverse'
 
     def side_effect(url, **kwargs):
         if kwargs['params'].get('request') == 'GetCapabilities':
-            return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
+            return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
         return mock.DEFAULT
 
     mocked_get.side_effect = side_effect
-    mocked_get.return_value = utils.FakedResponse(content=FAKE_GEOLOCATED_FEATURE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKE_GEOLOCATED_FEATURE, status_code=200)
     resp = app.get(endpoint, params={'lat': '45.1893469606986', 'lon': '5.72462060798'})
     assert (
         mocked_get.call_args[1]['params']['cql_filter']
@@ -640,7 +642,7 @@ def test_reverse_geocoding(mocked_get, app, connector):
     connector.projection = 'EPSG:4326'
     connector.search_radius = 10
     connector.save()
-    mocked_get.return_value = utils.FakedResponse(content='{"features": []}', status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content='{"features": []}', status_code=200)
     resp = app.get(endpoint, params={'lat': '45.183784', 'lon': '5.714885'})
     assert (
         mocked_get.call_args[1]['params']['cql_filter']
@@ -649,7 +651,7 @@ def test_reverse_geocoding(mocked_get, app, connector):
     assert resp.json['err'] == 1
     assert resp.json['err_desc'] == 'Unable to geocode'
 
-    mocked_get.return_value = utils.FakedResponse(status_code=404, content='{}', ok=False)
+    mocked_get.return_value = tests.utils.FakedResponse(status_code=404, content='{}', ok=False)
     resp = app.get(endpoint, params={'lat': '45.183784', 'lon': '5.714885'})
     assert resp.json['err'] == 1
     assert resp.json['err_desc'] == 'Webservice returned status code 404'
@@ -708,7 +710,7 @@ def test_opengis_query_computed_properties(mocked_get, app, connector, query):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_opengis_query_q_endpoint(mocked_get, app, connector, query):
-    endpoint = utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
     assert endpoint == '/opengis/test/query/test_query/'
     mocked_get.side_effect = geoserver_geolocated_responses
     query.update_cache()
@@ -737,8 +739,8 @@ def test_opengis_query_cache_update_change(mocked_get, app, connector, query):
 
     def new_response(url, **kwargs):
         if kwargs['params'].get('request') == 'GetCapabilities':
-            return utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
-        return utils.FakedResponse(
+            return tests.utils.FakedResponse(status_code=200, content=FAKE_SERVICE_CAPABILITIES)
+        return tests.utils.FakedResponse(
             content='{"features": [{"properties": {}, "geometry": {"coordinates": [1, 1], "type": "Point"}}]}',
             status_code=200,
         )
@@ -750,7 +752,7 @@ def test_opengis_query_cache_update_change(mocked_get, app, connector, query):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_opengis_query_q_endpoint_cache_empty(mocked_get, app, connector, query):
-    endpoint = utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
     assert not FeatureCache.objects.exists()
     resp = app.get(endpoint)
 
@@ -818,7 +820,7 @@ def test_opengis_query_endpoint_documentation(mocked_get, app, connector, query)
 
 @mock.patch('passerelle.utils.Request.get')
 def test_opengis_query_text_search(mocked_get, app, connector, query):
-    endpoint = utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
     mocked_get.side_effect = geoserver_geolocated_responses
     query.update_cache()
 
@@ -852,7 +854,7 @@ def test_opengis_query_text_search(mocked_get, app, connector, query):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_opengis_query_circle_filtering(mocked_get, app, connector, query):
-    endpoint = utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
     mocked_get.side_effect = geoserver_circle_responses
     query.update_cache()
 
@@ -874,7 +876,7 @@ def test_opengis_query_circle_filtering(mocked_get, app, connector, query):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_opengis_query_data_filter(mocked_get, app, connector, query):
-    endpoint = utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('opengis', 'query/test_query/', slug=connector.slug)
     mocked_get.side_effect = geoserver_geolocated_responses
     query.update_cache()
 
diff --git a/tests/test_phonecalls.py b/tests/test_phonecalls.py
index 7408624f..2689fc83 100644
--- a/tests/test_phonecalls.py
+++ b/tests/test_phonecalls.py
@@ -1,10 +1,10 @@
 import re
 
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 from django.utils.timezone import now, timedelta
 
+import tests.utils
 from passerelle.apps.phonecalls.models import Call, PhoneCalls
 from passerelle.base.models import AccessRight, ApiUser
 
@@ -21,11 +21,11 @@ def phonecalls(db):
 
 
 def test_phonecalls_start_stop(app, phonecalls):
-    start_endpoint = utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
+    start_endpoint = tests.utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
     assert start_endpoint == '/phonecalls/test/call-start'
-    stop_endpoint = utils.generic_endpoint_url('phonecalls', 'call-stop', slug=phonecalls.slug)
+    stop_endpoint = tests.utils.generic_endpoint_url('phonecalls', 'call-stop', slug=phonecalls.slug)
     assert stop_endpoint == '/phonecalls/test/call-stop'
-    calls_endpoint = utils.generic_endpoint_url('phonecalls', 'calls', slug=phonecalls.slug)
+    calls_endpoint = tests.utils.generic_endpoint_url('phonecalls', 'calls', slug=phonecalls.slug)
     assert calls_endpoint == '/phonecalls/test/calls'
 
     resp = app.get(start_endpoint, status=403)
@@ -212,7 +212,7 @@ def test_phonecalls_start_redirect(app, phonecalls):
     phonecalls.save()
 
     assert Call.objects.count() == 0
-    start_endpoint = utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
+    start_endpoint = tests.utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
     resp = app.get(
         start_endpoint,
         status=302,
@@ -227,7 +227,7 @@ def test_phonecalls_start_newtab(app, phonecalls):
     phonecalls.save()
 
     assert Call.objects.count() == 0
-    start_endpoint = utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
+    start_endpoint = tests.utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
     resp = app.get(
         start_endpoint,
         status=200,
@@ -242,7 +242,7 @@ def test_phonecalls_add_callee(app, phonecalls):
     phonecalls.redirect_url = 'https://portail-agent.publik/'
     phonecalls.save()
 
-    start_endpoint = utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
+    start_endpoint = tests.utils.generic_endpoint_url('phonecalls', 'call-start', slug=phonecalls.slug)
     resp = app.get(
         start_endpoint,
         status=302,
diff --git a/tests/test_photon.py b/tests/test_photon.py
index a2a521ba..e2c47fb2 100644
--- a/tests/test_photon.py
+++ b/tests/test_photon.py
@@ -19,11 +19,11 @@ import json
 
 import mock
 import pytest
-import utils
 from django.core.management import call_command
 from httmock import HTTMock, remember_called, response, urlmatch
 from requests.exceptions import ConnectionError, HTTPError
 
+import tests.utils
 from passerelle.apps.photon.models import AddressCacheModel, Photon
 
 CONTENT = {
@@ -93,7 +93,7 @@ def mock_photon_reverse():
 
 @pytest.fixture
 def photon(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         Photon.objects.create(
             slug='test',
             service_url='http://example.net/path/',
@@ -103,8 +103,8 @@ def photon(db):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_photon_search(mocked_get, app, photon):
-    endpoint = utils.generic_endpoint_url('photon', 'search', slug=photon.slug)
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
+    endpoint = tests.utils.generic_endpoint_url('photon', 'search', slug=photon.slug)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
     assert mocked_get.call_args[0][0].startswith('http://example.net/path/api/?')
     data = resp.json[0]
@@ -169,7 +169,7 @@ def test_photon_api_error(mocked_get, app, photon):
     def raise_for_status():
         raise HTTPError("400 Client Error: Bad Request for url: xxx")
 
-    response = utils.FakedResponse(content=json.dumps({'title': 'error'}), status_code=400)
+    response = tests.utils.FakedResponse(content=json.dumps({'title': 'error'}), status_code=400)
     response.raise_for_status = raise_for_status
     mocked_get.return_value = response
     resp = app.get('/photon/%s/search' % photon.slug, params={'q': 'plop'}, status=200)
@@ -183,7 +183,7 @@ def test_photon_api_error(mocked_get, app, photon):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_photon_reverse_path(mocked_get, app, photon):
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps({'features': []}), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps({'features': []}), status_code=200)
     app.get('/photon/%s/reverse?lon=4.8522272&lat=45.7587414' % photon.slug)
     assert mocked_get.call_args[0][0].startswith('http://example.net/path/reverse/?')
 
@@ -199,9 +199,9 @@ def test_photon_reverse(app, photon, mock_photon_reverse):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_photon_addresses(mocked_get, app, photon):
-    endpoint = utils.generic_endpoint_url('photon', 'addresses', slug=photon.slug)
+    endpoint = tests.utils.generic_endpoint_url('photon', 'addresses', slug=photon.slug)
     assert endpoint == '/photon/test/addresses'
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
     data = resp.json['data'][0]
     assert data['lat'] == '45.7587414'
@@ -273,8 +273,8 @@ def test_photon_addresses_cache_err(app, photon, mock_photon_search):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_photon_addresses_data_change(mocked_get, app, photon):
-    endpoint = utils.generic_endpoint_url('photon', 'addresses', slug=photon.slug)
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
+    endpoint = tests.utils.generic_endpoint_url('photon', 'addresses', slug=photon.slug)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
 
     # one user selects an address
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
@@ -284,7 +284,7 @@ def test_photon_addresses_data_change(mocked_get, app, photon):
     # another requests the same while upstream data has been updated
     new_content = json.loads(FAKED_CONTENT)
     new_content['features'][0]['properties']['housenumber'] = 'changed'
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps(new_content), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps(new_content), status_code=200)
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
 
     # first user saves the form, data should not have changed
